### Function

# Gtk render_icon

#### Declaration [src]

    void
    gtk_render_icon (
      GtkStyleContext* context,
      cairo_t* cr,
      GdkTexture* texture,
      double x,
      double y
    )

#### Description [src]

Renders the icon in `texture` at the specified `x` and `y` coordinates.

This function will render the icon in `texture` at exactly its size, regardless of scaling factors, which may not be appropriate when drawing on displays with high pixel densities.

#### Parameters

`context` | `GtkStyleContext`
| A `GtkStyleContext`.
| The data is owned by the caller of the function.
`cr` | `cairo_t*`
| A `cairo_t`.
| The data is owned by the caller of the function.
`texture` | `GdkTexture*`
| A `GdkTexture` containing the icon to draw.
| The data is owned by the caller of the function.
`x` | `double`
| X position for the `texture`.
`y` | `double`
| Y position for the `texture`.